2008-10-05  Thomas Viehmann  <tv@beamnet.de>

	* show-deferred: make non-new uploads in deferred accessible

2008-09-22  Thomas Viehmann  <tv@beamnet.de>

	* show-deferred: minor fixes

2008-09-21  Joerg Jaspert  <joerg@debian.org>

	* debianqueued: Use perltidy
	(copy_to_target): Only check md5sums if we want it, using a new
	config value for it.

	* Queue.README: Its ftp.upload.debian.org now, not
	ftp-master.debian.org.

	* Queue.README.ravel: New file for ravel

	* config-upload: New file, used for ravel

2008-09-20  Thomas Viehmann  <tv@beamnet.de>

	* show-deferred: status page for deferred upload queue

2008-09-20  Joerg Jaspert  <joerg@debian.org>

	* Queue.README (Version): Update the text to match reality with
	DEFERRED/DELAYED and the removed mv command

2008-09-20  Thomas Viehmann  <tv@beamnet.de>

	* debianqueued: Minor fixes on .commands processing.

2008-09-15  Joerg Jaspert  <joerg@debian.org>

	* config: Use 15 delayed dirs. Also change maintainer_mail to
	ftpmaster. And remove lotsa ancient cvs history foo

2008-09-11  Thomas Viehmann  <tv@beamnet.de>

	* debianqueued: Add DELAYED-support.

2008-06-15  Joerg Jaspert  <joerg@debian.org>

	* debianqueued: Fix a brown-paper-bag bug (we just dont know who
	to assign the bag too). strftime %b is better than %B for
	the month name.

2008-06-14  Joerg Jaspert  <joerg@debian.org>

	* debianqueued (process_commands): Add a little note that one
	should use dcut for .commands files

2008-05-10  Stephen Gran   <sgran@debian.org>
       * debianqueued: First pass at a send_mail implementation that 
         sucks less.  This also gives us X-Debian-Package

2008-05-08  Joerg Jaspert  <joerg@debian.org>

	* debianqueued: added header X-Debian: DAK

-- Version 0.9 released

1999-07-07  Linux FTP-Administrator  <ftplinux@ftp.rrze.uni-erlangen.de>

	* debianqueued: Implemented new upload methods "copy" and "ftp" as
	alternatives to "ssh". "copy" simply copies files to another
	directory on the queue host, "ftp" uses FTP to upload files. Both
	of course need no ssh-agent.
	New config vars:
	  $upload_method, $ftptimeout, $ftpdebug, $ls, $cp, $chmod,
	Renamed config vars:
	  $master -> $target
	  $masterlogin -> $targetlogin
	  $masterdir -> $targetdir
	  $chmod_on_master -> $chmod_on_target

	Note that the FTP method has some limitations: If no SITE MD5SUM
	command is supported by the server, uploaded files can be verified
	by their size only. And if removing of files in the target dir
	isn't allowed, upload errors can't be handled gracefully.

	* debianqueued: .changes files can now also be signed by GnuPG.

	* dqueued-watcher: Also updates debian-keyring.gpg.
	
Tue Dec  8 14:09:44 1998  Linux FTP-Administrator  <ftplinux@ftp.rrze.uni-erlangen.de>

	* debianqueued (process_changes): After an upload, do not remove
	files with the same name stem if a .changes file is among them.
	Then there is probably a second upload for a different
	version/architecture.

-- Version 0.8 released

Thu May 14 16:17:48 1998  Linux FTP-Administrator  <ftplinux@ftp.rrze.uni-erlangen.de>

	* debianqueued (process_changes): When --after a successfull
	upload-- deleting files that seem to belong to the same job, check
	for equal revision number on files that have one. It has happened
	that the daemon deleted files that belonged to another job with
	different revision, which shouldn't happen. The current algorithm
	is more conservative, i.e. it tends not to delete such files. They
	will be removed as stray files anyway after some time.

Tue Apr 21 10:29:01 1998  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	* debianqueued (check_incoming_writable): Also recognize
	"read-only filesystem" as an error message that makes the daemon
	think the incoming is unwritable.

	* debianqueued (check_dir): Break from the .changes loop if
	$incoming_writable has become cleared.

	* debianqueued (process_changes): Don't increment failure count if
	upload failed due to incoming dir being unwritable.

	* debianqueued (check_dir): Don't use return value of
	debian_file_stem as regexp, it's a shell pattern.
	
Tue Mar 31 11:06:11 1998  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	* debianqueued (process_changes, process_commands): Check for
	improper mail addresses from Maintainer: fields and try to handle
	them by looking up the string in the Debian keyring. New funtion
	try_to_get_mail_addr for the latter.

	* debianqueued (fatal_signal): Kill status daemon only if it has
	been started.

	* debianqueued (copy_to_master): Change mode of files uploaded to
	master explicitly to 644. scp uses the permission from the
	original files, and those could be restricted due to local upload
	policies.

Mon Mar 30 13:24:51 1998  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	* dqueued-watcher (main): If called with arguments, only make
	summaries for the log files given. With this, you can view the
	summaries also between normal watcher runs.
	
	* dqueued-watcher (make_summary): New arg $to_stdout, to print
	report directly to stdout instead of sending via mail.

Tue Mar 24 14:18:18 1998  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	* debianqueued (check_incoming_writable): New function that checks
	if the incoming dir on master is writable (it isn't during a
	freeze is done). The check is triggered if an upload fails due to
	"permission denied" errors. Until the incoming is writable again,
	the queue is holded and no uploads are tried (so that the max.
	number of tries isn't exceeded.)

-- Version 0.7 released

Mon Mar 23 13:23:20 1998  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	* debianqueued (process_changes): In an upload failure message,
	say explicitly that the job will be retried, to avoid confusion of
	users.

	* debianqueued (process_changes): $failure_file was put on
	@keep_list only for first retry.

	* debianqueued (process_changes): If the daemon removes a
	.changes, set SGID bit on all files associated with it, so that
	the test for Debian files without a .changes doesn't find them.
	
	* debianqueued (check_dir): Don't send reports for files without a
	.changes if the files look like a recompilation for another
	architecture. Then the maintainer extracted from the files isn't
	the uploader. A job is treated like that if it doesn't include a
	.dsc file and no *_{i386,all}.deb files.

	* debianqueued (check_dir): Also don't send such a report if the
	list of files with the same stem contains a .changes. This can be
	the case if an upload failed and the .changes is still around, and
	there's some file with the same name stem but which isn't in the
	.changes (e.g. .orig.tar.gz).
	
	* debianqueued (process_changes): Set @keep_list earlier, before
	PGP and non-US checks.

	* debianqueued (main): Fix recognition of -k argument.
	
Tue Feb 17 11:54:33 1998  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	* debianqueued (check_dir): Added test for binaries that could
	reside on slow NFS filesystems. It is specially annoying if pgp
	isn't found, because then the .changes is deleted. If one of the
	files listed in @conf::test_binaries isn't present immediately
	before a queue run, that one is delayed.

-- Version 0.6 released

Tue Dec  9 14:53:23 1997  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	* debianqueued (process_changes): Reject jobs whose package name
	is in @nonus_packages (new config var). These must be uploaded to
	nonus.debian.org instead of master itself.

Tue Nov 25 11:02:38 1997  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	* debianqueued (main): Implemented -k and -r arguments (kill or
	restart daemon, resp.)
	
	* debianqueued (is_debian_file): Exclude orig.tar.gz files from
	that class, so that the maintainer address isn't searched in them
	if they happen to come first in the dir.

	* debianqueued (END): Fix kill call (pid and signo were swapped)

	* debianqueued (process_changes): Moved check if job is already on
 	master to a later stage, to avoid connecting to master as long as
 	there are still errors with the job (missing files or the like).

	* debianqueued (check_alive): Lookup master's IP address before
	every ping, it could change while the daemon is running...

-- Version 0.5 released

Mon Nov 11 14:37:52 1997  Linux FTP-Administrator <ftplinux@arachnia.rrze.uni-erlangen.de>

	* debianqueued (process_commands): rm command now can process more
	than one argument and knows about wildcards
	
Mon Nov  6 15:09:53 1997  Linux FTP-Administrator <ftplinux@arachnia.rrze.uni-erlangen.de>
	
	* debianqueued (process_commands): Recognize commands on the same
	line as the Commands: keyword, not only on continuation lines.
	
Mon Nov  3 16:49:57 1997  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	* debianqueued (close_log): After reopening the log file, write
 	one message it. This avoids that dqueued-watcher's rotating
	algorithm delays from several minutes to a few hours on every
	rotate, since it looks at the time of the first entry.

Thu Oct 30 13:56:35 1997  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	* dqueued-watcher (make_summary): Added some new summary counters
 	for command files.

	* debianqueued (process_changes): Added check for files that seem
	to belong to an upload (match debian_file_stem($changes)), but
	aren't listed in the .changes. Most probably these are unneeded
	.orig.tar.gz files. They are deleted.

	* debianqueued (print_status): Print revision and version number
	of debianqueued in status file.

	* debianqueued (process_commands): New function, for processing
	the new feature of .command files. These enable uploaders to
	correct mistakes in the queue dir (corrupted/misnamed files)
	
Wed Oct 29 15:35:03 1997  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	*debianqueued (check_dir): Extra check for files that look like an
 	upload, but miss a .changes file. A problem report is sent to the
 	probable uploader after $no_changes_timeout seconds (new config
 	var). The maintainer email can be extracted from .dsc, .deb,
 	.diff.gz and .tar.gz files (though the maintainer needs not
 	necessarily be the uploader...) New utility functions
 	is_debian_file, get_maintainer, debian_file_stem.
	
	* debianqueued (pgp_check, get_maintainer): Quote filenames used
 	on sh command lines, so metacharacters in the names can't do bad
 	things. (Though wu-ftpd generally shouldn't allow uploading files
 	with such names.)

	* debianqueued (print_time): Print times always as
 	hour:minute:second, i.e. don't omit the hour if it's 0. This could
 	confuse users, because they don't know if the hour or the seconds
 	are missing.

-- Version 0.4 released

Thu Sep 25 13:18:57 1997  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	* debianqueued (process_changes): Forgot to remove a bad .changes
 	file in some cases (no mail address, not PGP signed at all, no
 	files mentioned). Also initialize some variables to avoid Perl
 	warnings.

Wed Sep 17 14:15:21 1997  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	* dqueued-watcher (make_summary): Add feature of writing summaries
 	also to a file. Config var do_summary renamed to mail_summary,
 	additional var summary_file.

Mon Sep 15 11:56:59 1997  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	* dqueued-watcher: Log several activities of the watcher to the log
	file; new function logger() for this.

	* debianqueued (process_changes, check_alive): Make some things more
	verbose in non-debug mode.

Mon Aug 18 13:25:04 1997  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	* dqueued-watcher (rotate_log): Using the log file's ctime for
	calculating its age was a rather bad idea -- starting the daemon
	updates that time stamp. Now the first date found in the log file
	is used as basis for age calculation.

	* dqeued-watcher (make_summary): New function to build a summary
	of daemon actions when rotating logs. Controlled by config
	variable $do_summary.

Tue Aug 12 13:26:52 1997  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	* Makefile: new files with targets for automating various
	administrative tasks

-- Version 0.3 released

Mon Aug 11 10:48:31 1997  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	* debianqueued (is_on_master, copy_to_master): Oops, forget
	alarm(0)'s to turn off timeouts again.

	* debianqueued: Revised the startup scheme so that it also works
	with the socket-based ssh-agent. That agent periodically checks
	whether the process it started is still alive and otherwise exits.
	For that, the go-into-background fork must be done before
	ssh-agent is started.

	* debianqueued: Implemented close_log and SIGHUP handling for
	logfile rotating.

	* dqueued-watcher: Implemented log file rotating.

Thu Aug 07 11:25:22 1997  Linux FTP-Administrator  <ftplinux@arachnia.rrze.uni-erlangen.de>

	* debianqueued (is_on_master, copy_to_master): added timeouts to
	all ssh/scp operations, because I've seen one once hanging...

-- Started ChangeLog
-- Version 0.2 released

$Id: ChangeLog,v 1.36 1999/07/08 09:43:24 ftplinux Exp $
	
